Telegram MethodsPayments
payments.createOnrampSession
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.createOnrampSession" \ -H "Content-Type: application/json" \ -d '{ "params": { "provider": "string", "cryptoCurrency": "string", "address": "string" } }'{ "result": { "_": "onrampSession", "provider": "string", "sessionId": "string", "url": "string", "expiresDate": 0 }, "txid": 0}craftStarGift
Craft a new [collectible gift »](https://core.telegram.org/api/gifts#collectible-gifts) by combining 1 to 4 owned collectible gifts of the same base gift type. The passed gifts must all have the same `RawStarGiftUnique`.gift_id, must be usable for crafting, and must not be blocked by a future can_craft_at timestamp. The first passed gift must not be [located on the TON blockchain](https://core.telegram.org/api/gifts#hosted-collectible-gifts).
createStarGiftCollection
Create a [star gift collection »](https://core.telegram.org/api/gifts#gift-collections).